
QGIS Application - Feature request #3104

New GRASS Location creator from .prj (WKT) file in QGIS (patch)

2010-10-10 11:30 AM - Markus Neteler

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 13164

Description

This patch enables QGIS users to more easily generate new 

GRASS locations. It should lower the barrier to use GRASS

as GIS backbone for QGIS.

Yet missing:

    -  possibility to switch to the newly created GRASS location in the browser.

Associated revisions

Revision ce813ec0 - 2010-11-01 08:45 PM - Paolo Cavallini

Fixes and cosmetcs fro GRASS toolbox - Thanks Markus Neteler. Fixes #3104

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14485 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 47056460 - 2010-11-01 08:45 PM - Paolo Cavallini

Fixes and cosmetcs fro GRASS toolbox - Thanks Markus Neteler. Fixes #3104

git-svn-id: http://svn.osgeo.org/qgis/trunk@14485 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-10 11:39 PM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to fixed

Applied with slight change in commit:f7bf1a58 (SVN r14364). Thank you Markus!

#2 - 2010-10-15 02:27 AM - Markus Neteler

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

I have attached some missing r.external icons - please fix.

Furthermore, I have made a series of improvements to the GRASS toolbox
menu to be less confusing for newcomers including some slight restructuration.

#3 - 2010-10-15 02:29 AM - Markus Neteler

Wish: since these patches are rather trivial, please also update the 1.5 release 

branch since I cannot use trunk in production.

#4 - 2010-10-16 01:23 AM - Giovanni Manghi

to be committed asap as 1.6 is shipping soon as stated here

http://lists.osgeo.org/pipermail/qgis-developer/2010-October/011194.html

Furthermore, I have made a series of improvements to the GRASS toolbox

menu to be less confusing for newcomers including some slight restructuration.

#5 - 2010-10-16 06:27 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to fixed

Applied in commit:eb6d1b3d (SVN r14384)

#6 - 2010-10-16 09:05 AM - Giovanni Manghi

Hi,

the browse button if the "name of new location to create" seems does not allows to select folders (as expected) but files.

#7 - 2010-10-16 09:30 AM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

So, reopening it for further testing and improvements

#8 - 2010-10-18 12:45 PM - Markus Neteler

Replying to [comment:6 lutra]:

Hi,

the browse button if the "name of new location to create" seems does not allows to select folders (as expected) but files.

Bugfix attached which is conformant to the handling in other modules (yet no folder is
selectable, it is just a text field as for the others).

Furthermore patch attached for r.proj + v.proj cosmetics to reorder parms for importance (optional goes last).

#9 - 2010-11-01 12:46 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Feedback to Closed

Applied in commit:47056460 (SVN r14486) - thanks Markus

Files

extension_grass_location.tar.gz 5.95 KB 2010-10-10 Markus Neteler

qgis_new_grass_location_1_2_3.png 62.4 KB 2010-10-10 Markus Neteler

default_qgc.diff 7.81 KB 2010-10-15 Markus Neteler

missing_icons.tar.gz 3.09 KB 2010-10-15 Markus Neteler

grass_modules-64_fixes.diff 1.17 KB 2010-10-18 Markus Neteler

grass_modules-common_cosmetics.diff 1.39 KB 2010-10-18 Markus Neteler
